Subject: Re: Forward from Art Alison: WGLC ULE - Data Broadcast Descriptors

From: Gorry Fairhurst <[email-masked]>
Date: Fri, 04 Feb 2005 11:55:49 +0000

1) Done - point 1 was an edit mistake.

2) I think some text on data broadcast descriptors, stream-type, or/and PSI 
entries would be a valuable addition.

On thinking about this, I wonder if the text about this should go at the end 
of the Introduction (1.0) to the whole document, where people can see it 
clearly and then undesrtand that there may be something else needed for those 
networks that rely on PSI for remultiplexing!

- Bernhard & others who understand PSI, can you work with Art to agree the 
exact wording please?

Gorry Fairhurst
(ipdvb WG Chair)

Gorry Fairhurst wrote:

> WG please read and respond to this message.
> 
> The following message was received on January 22nd before WGLC, but was 
> dropped because the email source address was not verified by the list 
> server.
> 
> The exact text of the message follows.
> 
> best wishes,
> 
> Gorry
> (ipdvb WG Chair)
> 
> -----
> 
1)
> Thanks for considering my previous input...
> I note that the new draft has an editorial oversight in that it contains 
> two
> definitions of PSI. I suggest the second should be deleted.
> 
2)
> I previously made a comment about the ancillary requirements when adding a
> TS logical channel to a TS multiplex and asserted there appeared to be 
> under
> specification. Perhaps it was viewed as out of scope, or perhaps I simply
> don't recognize the change that resulted.  I can not find what stream_type
> is required to be used for the ULE stream when a "TS Logical Channel" is
> added to a multiplex.
> 
> I suggest at least an informative note be added in Section 6 (after the
> third line which says: "These are transmitted using a single TS Logical
> Channel over a TS Multiplex.") The note should say "PSI entries to be
> consistent with [ISO-MPEG] when constructing a conformant TS Multiplex and
> means for Receivers to locate each such TS Logical Channel are outside the
> scope of this recommendation."
> 
> Reason:
> Just inserting a "TS Logical Channel" without including a
> TS_Program_map_section that lists the PID and a stream_type does not appear
> to me to result in a strictly MPEG-2 conformant bit stream; and practically
> could result in the PIDs being dropped by a remultiplexer.   If the means
> for binding the inserted element into a multiplex and subsequent discovery
> is to be covered in another document, a pointer to that document would be
> more helpful than this warning. It seems at least a warning is needed and
> preferably a pointer to where this next level of TS construction is 
> defined.
> 
> Art Allison
> Director, Advanced Engineering
> NAB Science & Technology
> 1771 N St NW, Washington Dc 20036
> 202 429 5418
> 
> 
>